package com.swtjface.flowchart.model;

import java.util.*;

public class Chart
  extends AbstractChartElement
{
  protected List children = new ArrayList();
  public List getChildren()
  {
    return children;
  }

  public void addChild(Activity child)
  {
    children.add(child);
    firePropertyChange(CHILD, null, child);
  }

  public void removeChild(Activity child)
  {
    children.remove(child);
    firePropertyChange(CHILD, null, child);
  }
}